import { EventEmitter, AfterViewInit, OnInit } from "@angular/core";
export declare class AudioComponent implements AfterViewInit, OnInit {
    private window;
    private timeout;
    private startTransition;
    private interval;
    currentTrack: string;
    /**
     * @Input -> custom properties.
     *
     */
    /** Programmatically buttons. */
    playButton: boolean;
    pauseButton: boolean;
    selectableButton: boolean;
    muteButton: boolean;
    /** Array of audio tracks.*/
    src: Array<string>;
    /** Display or not the controls, default: true */
    controls: boolean;
    /** Set autoplay status, default true. */
    autoplay: boolean;
    /** Set loop status, default false. */
    loop: boolean;
    /** Set the volume, default: 1 (max). */
    volume: number;
    /** Set the start index of the playlist. */
    startPosition: number;
    /** Number in s, in order to start the transition, default: 5s */
    transition: number;
    /** Interval in order to set the audio transition, in ms, default: 500ms. */
    intervalTransition: number;
    /** Define if transition, default: false. */
    transitionEnd: boolean;
    /** Define the preload status, default metadata. */
    transitionStart: boolean;
    /** Define the preload status, default metadata. */
    preload: string;
    /** Define the mute status, default false. */
    muted: boolean;
    /**
     * Custom events who could be intercepted.
     * @type {EventEmitter}
     */
    /** Emit the playlist. */
    playlist: EventEmitter<{}>;
    /** Emit informations on the current video. */
    current: EventEmitter<{}>;
    /** Emit the progress status of audio dowloading. */
    progress: EventEmitter<{}>;
    /** Emit downloading status of track. */
    downloading: EventEmitter<{}>;
    player: any;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    /** Set programmatically audio controls. */
    play(): void;
    pause(): void;
    muteVideo(): void;
    previousTrack(): void;
    nextTrack(): void;
    /** Audio Transitions */
    /** Set transition audio. */
    audioTransition(trackDuration: number, timeElapsed?: number): void;
    audioStartTransition(interval: number): void;
    setTimeoutDelay(trackDuration: number, timeElapsed: number): any;
    setIncrementInterval(interval: number): any;
    setDecrementInterval(interval: number): any;
    /**
     * Emitters
     */
    emitPlayList(): void;
    emitCurrentTrack(): void;
}
